public class TestEqualString
{
  public static void main(String[] args)
   {
      String beta, gamma;
      String alpha = "uno";
      gamma = alpha;
      beta = alpha.substring(0,2)+"t"+alpha.substring(2,3);
      gamma = beta.substring(0,2)+beta.substring(3,4);
      System.out.println("alpha==gamma? :"+(alpha==gamma));
      System.out.println("alpha.equals(gamma)? :"+(alpha.equals(gamma)));
      System.out.println("beta==gamma)? :"+(beta==gamma));
      System.out.println("alpha==contenuto di gamma? :"+
	  	(alpha==beta.substring(0,2)+beta.substring(3,4)));
   }
}
